Name:           perl-Config-Model-CursesUI
Version:        1.103
Release:        4%{?dist}
Summary:        Curses interface to edit config data
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model-CursesUI/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-CursesUI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Config::Model) >= 0.637
BuildRequires:  perl(Curses::UI) >= 0.9606
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This class provides a Curses::UI interface to configuration data managed by
Config::Model.

%prep
%setup -q -n Config-Model-CursesUI-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 27 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 1.103-4
- Rebuild for perl-5.12.

* Sun Nov 8 2009 david.hannequin@gmail.com 1.103-3
- Fix license

* Tue Oct 27 2009 david.hannequin@gmail.com 1.103-2
- Add build require Test::More

* Mon Aug 03 2009 david.hannequin@gmail.com 1.103-1
- Initial release 
